// Copyright 2024 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// AUTOGENERATED - DO NOT EDIT!
// This file is generated by sea_pen_client_generator.py

#include "ash/wallpaper/wallpaper_utils/sea_pen_utils_generated.h"

#include "base/no_destructor.h"

namespace ash {

std::string TemplateIdToString(
    ash::personalization_app::mojom::SeaPenTemplateId id) {
  switch (id) {
    case ash::personalization_app::mojom::SeaPenTemplateId::kFlower:
      return "flower";
    case ash::personalization_app::mojom::SeaPenTemplateId::kMineral:
      return "mineral";
    case ash::personalization_app::mojom::SeaPenTemplateId::kArt:
      return "art";
    case ash::personalization_app::mojom::SeaPenTemplateId::kCharacters:
      return "characters";
    case ash::personalization_app::mojom::SeaPenTemplateId::kTerrain:
      return "terrain";
    case ash::personalization_app::mojom::SeaPenTemplateId::kCurious:
      return "curious";
    case ash::personalization_app::mojom::SeaPenTemplateId::kDreamscapes:
      return "dreamscapes";
    case ash::personalization_app::mojom::SeaPenTemplateId::kTranslucent:
      return "translucent";
    case ash::personalization_app::mojom::SeaPenTemplateId::kScifi:
      return "scifi";
    case ash::personalization_app::mojom::SeaPenTemplateId::kLetters:
      return "letters";
    case ash::personalization_app::mojom::SeaPenTemplateId::kGlowscapes:
      return "glowscapes";
    case ash::personalization_app::mojom::SeaPenTemplateId::kSurreal:
      return "surreal";
    case ash::personalization_app::mojom::SeaPenTemplateId::kTerrainAlternate:
      return "terrain_alternate";
    case ash::personalization_app::mojom::SeaPenTemplateId::kVcBackgroundSimple:
      return "simple";
    case ash::personalization_app::mojom::SeaPenTemplateId::kVcBackgroundOffice:
      return "office";
    case ash::personalization_app::mojom::SeaPenTemplateId::
        kVcBackgroundTerrainVc:
      return "terrain_vc";
    case ash::personalization_app::mojom::SeaPenTemplateId::kVcBackgroundCafe:
      return "cafe";
    case ash::personalization_app::mojom::SeaPenTemplateId::kVcBackgroundArt:
      return "art";
    case ash::personalization_app::mojom::SeaPenTemplateId::
        kVcBackgroundDreamscapesVc:
      return "dreamscapes_vc";
    case ash::personalization_app::mojom::SeaPenTemplateId::
        kVcBackgroundCharacters:
      return "characters";
    case ash::personalization_app::mojom::SeaPenTemplateId::
        kVcBackgroundGlowscapes:
      return "glowscapes";
  }
}

std::string TemplateChipToString(
    ash::personalization_app::mojom::SeaPenTemplateChip chip) {
  switch (chip) {
    case ash::personalization_app::mojom::SeaPenTemplateChip::kFlowerType:
      return "<flower_type>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kFlowerColor:
      return "<flower_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kMineralName:
      return "<mineral_name>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kMineralColor:
      return "<mineral_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kScifiFeature:
      return "<scifi_feature>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kScifiColor:
      return "<scifi_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kArtFeature:
      return "<art_feature>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kArtMovement:
      return "<art_movement>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kCharactersColor:
      return "<characters_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kCharactersSubjects:
      return "<characters_subjects>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kCharactersBackground:
      return "<characters_background>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kTerrainFeature:
      return "<terrain_feature>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kTerrainColor:
      return "<terrain_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kCuriousSubject:
      return "<curious_subject>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kCuriousFeature:
      return "<curious_feature>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kCuriousColor:
      return "<curious_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kDreamscapesObject:
      return "<dreamscapes_object>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kDreamscapesMaterial:
      return "<dreamscapes_material>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kDreamscapesColors:
      return "<dreamscapes_colors>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kTranslucentItem:
      return "<translucent_item>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kTranslucentColor:
      return "<translucent_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kLettersColor:
      return "<letters_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kLettersLetter:
      return "<letters_letter>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kGlowscapesLandscape:
      return "<glowscapes_landscape>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kGlowscapesFeature:
      return "<glowscapes_feature>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kSurrealLandscape:
      return "<surreal_landscape>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::kSurrealSubject:
      return "<surreal_subject>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundSimpleStyle:
      return "<simple_style>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundSimpleTone:
      return "<simple_tone>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundOfficeStyle:
      return "<office_style>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundOfficeColor:
      return "<office_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundTerrainFeature:
      return "<terrain_feature>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundTerrainColor:
      return "<terrain_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundCafeStyle:
      return "<cafe_style>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundCafeType:
      return "<cafe_type>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundArtFeature:
      return "<art_feature>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundArtMovement:
      return "<art_movement>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundDreamscapesObject:
      return "<dreamscapes_object>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundDreamscapesMaterial:
      return "<dreamscapes_material>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundDreamscapesColors:
      return "<dreamscapes_colors>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundCharactersColor:
      return "<characters_color>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundCharactersSubjects:
      return "<characters_subjects>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundCharactersBackground:
      return "<characters_background>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundGlowscapesLandscape:
      return "<glowscapes_landscape>";
    case ash::personalization_app::mojom::SeaPenTemplateChip::
        kVcBackgroundGlowscapesFeature:
      return "<glowscapes_feature>";
  }
}

std::string TemplateOptionToString(
    ash::personalization_app::mojom::SeaPenTemplateOption option) {
  switch (option) {
    case ash::personalization_app::mojom::SeaPenTemplateOption::kFlowerTypeRose:
      return "rose";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeCallaLily:
      return "calla_lily";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeWindflower:
      return "windflower";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeTulip:
      return "tulip";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeLilyOfTheValley:
      return "lily_of_the_valley";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeBirdOfParadise:
      return "bird_of_paradise";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeOrchid:
      return "orchid";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeRanunculus:
      return "ranunculus";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeDaisy:
      return "daisy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeHydrangea:
      return "hydrangea";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerColorPink:
      return "pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerColorPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerColorBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerColorWhite:
      return "white";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerColorCoral:
      return "coral";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerColorYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerColorGreen:
      return "green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kFlowerColorRed:
      return "red";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameAgate:
      return "agate";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameAmethyst:
      return "amethyst";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameAquamarine:
      return "aquamarine";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameAragonite:
      return "aragonite";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameBismuth:
      return "bismuth";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameCerussite:
      return "cerussite";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameChalcopyrite:
      return "chalcopyrite";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameChrysoprase:
      return "chrysoprase";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameFluorite:
      return "fluorite";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameGalena:
      return "galena";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameJasper:
      return "jasper";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameLabradorite:
      return "labradorite";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameMoonstone:
      return "moonstone";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameOpal:
      return "opal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNamePeridot:
      return "peridot";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameRhondochrosite:
      return "rhondochrosite";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameRuby:
      return "ruby";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameSapphire:
      return "sapphire";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameQuartz:
      return "quartz";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralNameTourmaline:
      return "tourmaline";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorWarm:
      return "warm";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorCool:
      return "cool";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorNeutral:
      return "neutral";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorPastel:
      return "pastel";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorMuted:
      return "muted";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorVibrant:
      return "vibrant";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorEarthy:
      return "earthy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorMetallic:
      return "metallic";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorNeon:
      return "neon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorTonal:
      return "tonal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kMineralColorGray:
      return "gray";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureStreet:
      return "street";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureSkyline:
      return "skyline";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureSwamp:
      return "swamp";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureTransport:
      return "transport";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureBusStop:
      return "bus_stop";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureDesert:
      return "desert";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureBeach:
      return "beach";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureMountains:
      return "mountains";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeaturePark:
      return "park";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureForest:
      return "forest";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureSmallTown:
      return "small_town";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureFarm:
      return "farm";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiFeatureUnderwater:
      return "underwater";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiColorEarthy:
      return "earthy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiColorVibrant:
      return "vibrant";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiColorSilver:
      return "silver";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiColorEerie:
      return "eerie";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiColorComplementary:
      return "complementary";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kScifiColorNeutral:
      return "neutral";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureCanyon:
      return "canyon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureMountain:
      return "mountain";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureBeach:
      return "beach";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kArtFeatureCave:
      return "cave";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureCliff:
      return "cliff";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureForest:
      return "forest";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureGlacier:
      return "glacier";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureIsland:
      return "island";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureJungle:
      return "jungle";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kArtFeatureLake:
      return "lake";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureMeadow:
      return "meadow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureOcean:
      return "ocean";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureRiver:
      return "river";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kArtFeatureDune:
      return "dune";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureSwamp:
      return "swamp";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureValley:
      return "valley";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureWaterfall:
      return "waterfall";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureField:
      return "field";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureCityscape:
      return "cityscape";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtFeatureVillage:
      return "village";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementAvantGarde:
      return "avant_garde";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementRealist:
      return "realist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementExpressionist:
      return "expressionist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementImpressionist:
      return "impressionist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementPostImpressionist:
      return "post_impressionist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementArtNouveau:
      return "art_nouveau";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementBaroque:
      return "baroque";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementBauhaus:
      return "bauhaus";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementClassicist:
      return "classicist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementWatercolor:
      return "watercolor";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementAbstract:
      return "abstract";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementPointillist:
      return "pointillist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementGraphicDesign:
      return "graphic_design";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kArtMovementModernArt:
      return "modern_art";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorPink:
      return "pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorRed:
      return "red";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorIndigo:
      return "indigo";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorGreen:
      return "green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorCyan:
      return "cyan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorBrown:
      return "brown";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorGold:
      return "gold";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorRust:
      return "rust";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorOlive:
      return "olive";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorGray:
      return "gray";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorWhite:
      return "white";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorBeige:
      return "beige";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorMagenta:
      return "magenta";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorNeonGreen:
      return "neon_green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorLightBlue:
      return "light_blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorNeonPink:
      return "neon_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersColorCoralPink:
      return "coral_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsLemons:
      return "lemons";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsFlowers:
      return "flowers";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsApples:
      return "apples";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsCherries:
      return "cherries";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsOranges:
      return "oranges";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsPineapples:
      return "pineapples";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsStrawberries:
      return "strawberries";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsWatermelons:
      return "watermelons";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsPotatoes:
      return "potatoes";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsSushi:
      return "sushi";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsBaconAndEggs:
      return "bacon_and_eggs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsPizza:
      return "pizza";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsHotDogs:
      return "hot_dogs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsHamburgers:
      return "hamburgers";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsRamen:
      return "ramen";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsTacos:
      return "tacos";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsBunnies:
      return "bunnies";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsCats:
      return "cats";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsDogs:
      return "dogs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsKoalas:
      return "koalas";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsPandas:
      return "pandas";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsPenguins:
      return "penguins";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsPigs:
      return "pigs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsSloths:
      return "sloths";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsPonies:
      return "ponies";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsElephants:
      return "elephants";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsFoxes:
      return "foxes";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsOwls:
      return "owls";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsCrabs:
      return "crabs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsBees:
      return "bees";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsButterflies:
      return "butterflies";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsBicycles:
      return "bicycles";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsBoats:
      return "boats";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsBooks:
      return "books";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsCutlery:
      return "cutlery";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsUmbrellas:
      return "umbrellas";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersSubjectsInstruments:
      return "instruments";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundIndigo:
      return "indigo";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundGreen:
      return "green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundCyan:
      return "cyan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundBrown:
      return "brown";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundGold:
      return "gold";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundRed:
      return "red";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundRust:
      return "rust";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundOlive:
      return "olive";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundPink:
      return "pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundGray:
      return "gray";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundWhite:
      return "white";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundBeige:
      return "beige";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundMagenta:
      return "magenta";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundNeonGreen:
      return "neon_green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundLightBlue:
      return "light_blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundNeonPink:
      return "neon_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCharactersBackgroundCoralPink:
      return "coral_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureSaltLake:
      return "salt_lake";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureRiver:
      return "river";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureNorthernLights:
      return "northern_lights";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureSandDunes:
      return "sand_dunes";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureClayHills:
      return "clay_hills";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureSandyLagoon:
      return "sandy_lagoon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureMountains:
      return "mountains";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureBioluminescentBeach:
      return "bioluminescent_beach";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureFireflyForest:
      return "firefly_forest";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureDifferentPlanet:
      return "different_planet";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorPink:
      return "pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorTeal:
      return "teal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorWhite:
      return "white";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorMaroonPink:
      return "maroon_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorBluePurple:
      return "blue_purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorPinkYellow:
      return "pink_yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorBluePink:
      return "blue_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectCherryBlossoms:
      return "cherry_blossoms";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectJasmineFlowers:
      return "jasmine_flowers";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectDaisies:
      return "daisies";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectTulips:
      return "tulips";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectCarnations:
      return "carnations";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectDaffodils:
      return "daffodils";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectForgetMeNots:
      return "forget_me_nots";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectSunflowers:
      return "sunflowers";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectBougainvilleas:
      return "bougainvilleas";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectAirPlants:
      return "air_plants";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousSubjectSucculents:
      return "succulents";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousFeatureAlpineLake:
      return "alpine_lake";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousFeatureGalaxy:
      return "galaxy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousFeatureSandDunes:
      return "sand_dunes";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousFeatureSwamp:
      return "swamp";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousFeatureBeach:
      return "beach";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousFeatureMountains:
      return "mountains";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousFeatureRiver:
      return "river";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousFeatureWaterfall:
      return "waterfall";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorRed:
      return "red";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorGreen:
      return "green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorOrange:
      return "orange";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorPink:
      return "pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorBrown:
      return "brown";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorBlack:
      return "black";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorTurquoise:
      return "turquoise";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorMagenta:
      return "magenta";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorLavender:
      return "lavender";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorMaroon:
      return "maroon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorNavy:
      return "navy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorOlive:
      return "olive";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorCoral:
      return "coral";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorCream:
      return "cream";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorIndigo:
      return "indigo";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kCuriousColorFuchsia:
      return "fuchsia";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectBicycle:
      return "bicycle";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectCastle:
      return "castle";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectBuilding:
      return "building";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectBoat:
      return "boat";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectLamp:
      return "lamp";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectTable:
      return "table";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectBridge:
      return "bridge";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectLighthouse:
      return "lighthouse";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectPagoda:
      return "pagoda";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectPalace:
      return "palace";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectTower:
      return "tower";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesObjectChair:
      return "chair";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialFlowers:
      return "flowers";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialSilk:
      return "silk";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialFelt:
      return "felt";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialBurlap:
      return "burlap";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialChiffon:
      return "chiffon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialCotton:
      return "cotton";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialFur:
      return "fur";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialLace:
      return "lace";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialLinen:
      return "linen";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialOrganza:
      return "organza";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialTulle:
      return "tulle";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialWool:
      return "wool";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialYarn:
      return "yarn";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialFleece:
      return "fleece";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialClay:
      return "clay";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialStone:
      return "stone";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialWood:
      return "wood";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialAmethyst:
      return "amethyst";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialLapisLuzuli:
      return "lapis_luzuli";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialObsidian:
      return "obsidian";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialOpal:
      return "opal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesMaterialSapphire:
      return "sapphire";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesColorsPinkPurple:
      return "pink_purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesColorsCoralTan:
      return "coral_tan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesColorsCreamOrange:
      return "cream_orange";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesColorsBlueIndigo:
      return "blue_indigo";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesColorsGreenTeal:
      return "green_teal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesColorsBurgundyMaroon:
      return "burgundy_maroon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kDreamscapesColorsYellowTeal:
      return "yellow_teal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemApple:
      return "apple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemAzalea:
      return "azalea";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemBegonia:
      return "begonia";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemBluebell:
      return "bluebell";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemCherryBlossom:
      return "cherry_blossom";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemChrysanthemum:
      return "chrysanthemum";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemClemati:
      return "clemati";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemDaffodil:
      return "daffodil";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemDaisy:
      return "daisy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemDandelion:
      return "dandelion";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemRose:
      return "rose";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemDogwood:
      return "dogwood";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemHibiscus:
      return "hibiscus";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemHydrangea:
      return "hydrangea";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemLeaf:
      return "leaf";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemLily:
      return "lily";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemPansy:
      return "pansy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemPear:
      return "pear";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemPeony:
      return "peony";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemPhilodendron:
      return "philodendron";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemPoppy:
      return "poppy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemSunflower:
      return "sunflower";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemPea:
      return "pea";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentItemTulip:
      return "tulip";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorPink:
      return "pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorIndigo:
      return "indigo";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorGreen:
      return "green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorEmerald:
      return "emerald";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorTeal:
      return "teal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorCyan:
      return "cyan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorGold:
      return "gold";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorRed:
      return "red";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorRust:
      return "rust";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorOlive:
      return "olive";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorGray:
      return "gray";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorViolet:
      return "violet";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorIvory:
      return "ivory";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorMagenta:
      return "magenta";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorPeach:
      return "peach";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTranslucentColorBlack:
      return "black";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureTreeTunnel:
      return "tree_tunnel";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureBaobabTrees:
      return "baobab_trees";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureMistyForest:
      return "misty_forest";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainFeatureCactusForest:
      return "cactus_forest";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kTerrainColorCyan:
      return "cyan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterA:
      return "A";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterB:
      return "B";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterC:
      return "C";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterD:
      return "D";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterE:
      return "E";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterF:
      return "F";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterG:
      return "G";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterH:
      return "H";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterI:
      return "I";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterJ:
      return "J";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterK:
      return "K";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterL:
      return "L";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterM:
      return "M";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterN:
      return "N";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterO:
      return "O";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterP:
      return "P";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterQ:
      return "Q";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterR:
      return "R";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterS:
      return "S";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterT:
      return "T";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterU:
      return "U";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterV:
      return "V";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterW:
      return "W";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterX:
      return "X";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterY:
      return "Y";
    case ash::personalization_app::mojom::SeaPenTemplateOption::kLettersLetterZ:
      return "Z";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorPastel:
      return "pastel";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorBlack:
      return "black";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorRed:
      return "red";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorIndigo:
      return "indigo";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorGreen:
      return "green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorCyan:
      return "cyan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorOlive:
      return "olive";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorGray:
      return "gray";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorMagenta:
      return "magenta";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorNeonGreen:
      return "neon_green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorLightBlue:
      return "light_blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorNeonPink:
      return "neon_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kLettersColorCoralPink:
      return "coral_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesLandscapeValley:
      return "valley";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesLandscapeHotSpring:
      return "hot_spring";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesLandscapeMeadow:
      return "meadow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesLandscapeCoralReef:
      return "coral_reef";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesLandscapePond:
      return "pond";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesFeatureRiver:
      return "river";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesFeatureSaltRock:
      return "salt_rock";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesFeatureFlower:
      return "flower";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesFeatureWalkway:
      return "walkway";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kGlowscapesFeaturePool:
      return "pool";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealLandscapeMeadow:
      return "meadow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealLandscapeSaltRock:
      return "salt_rock";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealLandscapeIsland:
      return "island";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealLandscapeLake:
      return "lake";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealLandscapeBeach:
      return "beach";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealLandscapeCliff:
      return "cliff";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealSubjectFlowers:
      return "flowers";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealSubjectPools:
      return "pools";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealSubjectSnow:
      return "snow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kSurrealSubjectGlowingBubbles:
      return "glowing_bubbles";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeSucculent:
      return "succulent";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeGrass:
      return "grass";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kFlowerTypeCactusFlower:
      return "cactus_flower";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundSimpleStyleMinimal:
      return "minimal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundSimpleStyleZen:
      return "zen";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundSimpleStyleModern:
      return "modern";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundSimpleStyleMagical:
      return "magical";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundSimpleToneNeutral:
      return "neutral";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundSimpleToneDark:
      return "dark";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundSimpleToneLight:
      return "light";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundOfficeStyleModern:
      return "modern";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundOfficeStyleCreative:
      return "creative";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundOfficeStyleTraditional:
      return "traditional";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundOfficeStyleFuturistic:
      return "futuristic";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundOfficeColorNeutral:
      return "neutral";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundOfficeColorDark:
      return "dark";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundOfficeColorColorful:
      return "colorful";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundOfficeColorEarthy:
      return "earthy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureSaltLake:
      return "salt_lake";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureRiver:
      return "river";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureNorthernLights:
      return "northern_lights";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureSandDunes:
      return "sand_dunes";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureClayHills:
      return "clay_hills";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureSandyLagoon:
      return "sandy_lagoon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureMountains:
      return "mountains";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureBioluminescentBeach:
      return "bioluminescent_beach";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureFireflyForest:
      return "firefly_forest";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureDifferentPlanet:
      return "different_planet";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorPink:
      return "pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorTeal:
      return "teal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorWhite:
      return "white";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorMaroonPink:
      return "maroon_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorBluePurple:
      return "blue_purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorPinkYellow:
      return "pink_yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorBluePink:
      return "blue_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeStyleCozy:
      return "cozy";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeStyleNeutral:
      return "neutral";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeStyleDistressed:
      return "distressed";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeStyleClassic:
      return "classic";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeStyleRomantic:
      return "romantic";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeTypeCottage:
      return "cottage";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeTypeModern:
      return "modern";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeTypeTeaHouse:
      return "tea_house";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeTypeHighTea:
      return "high_tea";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCafeTypeOutdoor:
      return "outdoor";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureCanyon:
      return "canyon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureMountain:
      return "mountain";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureBeach:
      return "beach";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureCave:
      return "cave";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureCliff:
      return "cliff";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureForest:
      return "forest";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureGlacier:
      return "glacier";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureIsland:
      return "island";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureJungle:
      return "jungle";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureLake:
      return "lake";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureMeadow:
      return "meadow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureOcean:
      return "ocean";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureRiver:
      return "river";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureDune:
      return "dune";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureSwamp:
      return "swamp";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureValley:
      return "valley";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureWaterfall:
      return "waterfall";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureField:
      return "field";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureCityscape:
      return "cityscape";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureVillage:
      return "village";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureAnime:
      return "anime";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeaturePixelArt:
      return "pixel_art";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtFeatureCyberpunk:
      return "cyberpunk";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementAvantGarde:
      return "avant_garde";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementRealist:
      return "realist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementExpressionist:
      return "expressionist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementImpressionist:
      return "impressionist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementPostImpressionist:
      return "post_impressionist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementArtNouveau:
      return "art_nouveau";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementBaroque:
      return "baroque";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementBauhaus:
      return "bauhaus";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementClassicist:
      return "classicist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementWatercolor:
      return "watercolor";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementAbstract:
      return "abstract";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementPointillist:
      return "pointillist";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementGraphicDesign:
      return "graphic_design";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementModernArt:
      return "modern_art";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementAnime:
      return "anime";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementPixelArt:
      return "pixel_art";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundArtMovementCyberpunk:
      return "cyberpunk";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectBicycle:
      return "bicycle";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectCastle:
      return "castle";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectBuilding:
      return "building";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectBoat:
      return "boat";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectLamp:
      return "lamp";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectTable:
      return "table";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectBridge:
      return "bridge";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectLighthouse:
      return "lighthouse";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectPagoda:
      return "pagoda";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectPalace:
      return "palace";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectTower:
      return "tower";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesObjectChair:
      return "chair";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialFlowers:
      return "flowers";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialSilk:
      return "silk";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialFelt:
      return "felt";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialBurlap:
      return "burlap";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialChiffon:
      return "chiffon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialCotton:
      return "cotton";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialFur:
      return "fur";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialLace:
      return "lace";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialLinen:
      return "linen";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialOrganza:
      return "organza";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialTulle:
      return "tulle";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialWool:
      return "wool";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialYarn:
      return "yarn";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialFleece:
      return "fleece";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialClay:
      return "clay";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialStone:
      return "stone";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialWood:
      return "wood";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialAmethyst:
      return "amethyst";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialLapisLuzuli:
      return "lapis_luzuli";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialObsidian:
      return "obsidian";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialOpal:
      return "opal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesMaterialSapphire:
      return "sapphire";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesColorsPinkPurple:
      return "pink_purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesColorsCoralTan:
      return "coral_tan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesColorsCreamOrange:
      return "cream_orange";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesColorsBlueIndigo:
      return "blue_indigo";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesColorsGreenTeal:
      return "green_teal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesColorsBurgundyMaroon:
      return "burgundy_maroon";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundDreamscapesColorsYellowTeal:
      return "yellow_teal";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorPink:
      return "pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorRed:
      return "red";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorIndigo:
      return "indigo";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorGreen:
      return "green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorCyan:
      return "cyan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorBrown:
      return "brown";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorGold:
      return "gold";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorRust:
      return "rust";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorOlive:
      return "olive";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorGray:
      return "gray";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorWhite:
      return "white";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorBeige:
      return "beige";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorMagenta:
      return "magenta";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorNeonGreen:
      return "neon_green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorLightBlue:
      return "light_blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorNeonPink:
      return "neon_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersColorCoralPink:
      return "coral_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsLemons:
      return "lemons";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsFlowers:
      return "flowers";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsApples:
      return "apples";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsCherries:
      return "cherries";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsOranges:
      return "oranges";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsPineapples:
      return "pineapples";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsStrawberries:
      return "strawberries";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsWatermelons:
      return "watermelons";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsPotatoes:
      return "potatoes";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsSushi:
      return "sushi";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsBaconAndEggs:
      return "bacon_and_eggs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsPizza:
      return "pizza";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsHotDogs:
      return "hot_dogs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsHamburgers:
      return "hamburgers";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsRamen:
      return "ramen";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsTacos:
      return "tacos";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsBunnies:
      return "bunnies";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsCats:
      return "cats";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsDogs:
      return "dogs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsKoalas:
      return "koalas";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsPandas:
      return "pandas";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsPenguins:
      return "penguins";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsPigs:
      return "pigs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsSloths:
      return "sloths";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsPonies:
      return "ponies";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsElephants:
      return "elephants";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsFoxes:
      return "foxes";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsOwls:
      return "owls";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsCrabs:
      return "crabs";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsBees:
      return "bees";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsButterflies:
      return "butterflies";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsBicycles:
      return "bicycles";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsBoats:
      return "boats";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsBooks:
      return "books";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsCutlery:
      return "cutlery";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsUmbrellas:
      return "umbrellas";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersSubjectsInstruments:
      return "instruments";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundPurple:
      return "purple";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundBlue:
      return "blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundIndigo:
      return "indigo";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundGreen:
      return "green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundCyan:
      return "cyan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundBrown:
      return "brown";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundGold:
      return "gold";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundRed:
      return "red";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundRust:
      return "rust";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundOlive:
      return "olive";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundPink:
      return "pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundGray:
      return "gray";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundYellow:
      return "yellow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundWhite:
      return "white";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundBeige:
      return "beige";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundMagenta:
      return "magenta";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundNeonGreen:
      return "neon_green";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundLightBlue:
      return "light_blue";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundNeonPink:
      return "neon_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundCharactersBackgroundCoralPink:
      return "coral_pink";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureTreeTunnel:
      return "tree_tunnel";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureBaobabTrees:
      return "baobab_trees";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureMistyForest:
      return "misty_forest";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainFeatureCactusForest:
      return "cactus_forest";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundTerrainColorCyan:
      return "cyan";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesLandscapeValley:
      return "valley";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesLandscapeHotSpring:
      return "hot_spring";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesLandscapeMeadow:
      return "meadow";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesLandscapeCoralReef:
      return "coral_reef";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesLandscapePond:
      return "pond";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesFeatureRiver:
      return "river";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesFeatureSaltRock:
      return "salt_rock";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesFeatureFlower:
      return "flower";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesFeatureWalkway:
      return "walkway";
    case ash::personalization_app::mojom::SeaPenTemplateOption::
        kVcBackgroundGlowscapesFeaturePool:
      return "pool";
  }
}

const std::map<ash::personalization_app::mojom::SeaPenTemplateChip,
               std::set<ash::personalization_app::mojom::SeaPenTemplateOption>>&
ChipToOptionSet() {
  static const base::NoDestructor<
      std::map<ash::personalization_app::mojom::SeaPenTemplateChip,
               std::set<ash::personalization_app::mojom::SeaPenTemplateOption>>>
      m({
          {ash::personalization_app::mojom::SeaPenTemplateChip::kLettersColor,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorPastel,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorBlack,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorRed,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorIndigo,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorCyan,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorOlive,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorGray,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorMagenta,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorNeonGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorLightBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorNeonPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersColorCoralPink,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::kLettersLetter,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterA,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterB,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterC,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterD,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterE,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterF,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterG,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterH,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterI,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterJ,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterK,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterL,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterM,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterN,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterO,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterP,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterQ,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterR,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterS,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterT,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterU,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterV,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterW,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterX,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterY,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kLettersLetterZ,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::kFlowerColor,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerColorPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerColorPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerColorBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerColorWhite,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerColorCoral,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerColorYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerColorGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerColorRed,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::kFlowerType,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerTypeOrchid,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerTypeTulip,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerTypeBirdOfParadise,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerTypeRose,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerTypeDaisy,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerTypeHydrangea,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerTypeSucculent,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerTypeGrass,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kFlowerTypeCactusFlower,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::kArtFeature,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureField,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureSwamp,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureBeach,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureMeadow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureForest,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureGlacier,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureIsland,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureJungle,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureLake,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureCliff,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureOcean,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureRiver,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureDune,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureMountain,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureValley,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureWaterfall,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureCanyon,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureCityscape,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtFeatureVillage,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::kArtMovement,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementAvantGarde,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementRealist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementExpressionist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementImpressionist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementPostImpressionist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementArtNouveau,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementBauhaus,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementClassicist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementWatercolor,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementAbstract,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementGraphicDesign,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kArtMovementModernArt,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::kTerrainFeature,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureSaltLake,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureRiver,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureNorthernLights,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureSandDunes,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureClayHills,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureSandyLagoon,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureMountains,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureBioluminescentBeach,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureDifferentPlanet,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureTreeTunnel,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureBaobabTrees,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureMistyForest,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainFeatureCactusForest,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::kTerrainColor,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorCyan,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorWhite,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorMaroonPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorBluePurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorPinkYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kTerrainColorBluePink,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kDreamscapesObject,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectBicycle,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectCastle,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectBuilding,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectBoat,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectLamp,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectTable,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectBridge,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectPagoda,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectPalace,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesObjectChair,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kDreamscapesMaterial,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialFlowers,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialSilk,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialFelt,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialBurlap,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialChiffon,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialCotton,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialFur,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialLace,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialLinen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialOrganza,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialTulle,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialWool,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialYarn,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialFleece,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialClay,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialStone,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialWood,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialAmethyst,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialLapisLuzuli,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialObsidian,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialOpal,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesMaterialSapphire,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kDreamscapesColors,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesColorsPinkPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesColorsCoralTan,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesColorsCreamOrange,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesColorsBlueIndigo,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesColorsGreenTeal,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesColorsBurgundyMaroon,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kDreamscapesColorsYellowTeal,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kSurrealLandscape,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealLandscapeMeadow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealLandscapeSaltRock,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealLandscapeIsland,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealLandscapeLake,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealLandscapeBeach,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealLandscapeCliff,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::kSurrealSubject,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealSubjectFlowers,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealSubjectPools,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealSubjectSnow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kSurrealSubjectGlowingBubbles,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kCharactersColor,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorRed,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorIndigo,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorCyan,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorBrown,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorGold,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorRust,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorOlive,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorGray,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorWhite,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorBeige,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorMagenta,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorNeonGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorLightBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorNeonPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersColorCoralPink,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kCharactersSubjects,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsLemons,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsFlowers,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsApples,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsCherries,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsOranges,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsPineapples,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsStrawberries,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsWatermelons,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsPotatoes,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsSushi,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsBaconAndEggs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsPizza,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsHotDogs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsHamburgers,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsRamen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsTacos,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsBunnies,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsCats,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsDogs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsKoalas,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsPandas,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsPenguins,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsPigs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsSloths,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsPonies,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsElephants,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsFoxes,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsOwls,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsCrabs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsBees,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsButterflies,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsBicycles,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsBoats,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsBooks,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsCutlery,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsUmbrellas,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersSubjectsInstruments,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kCharactersBackground,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundIndigo,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundCyan,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundBrown,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundGold,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundRed,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundRust,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundOlive,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundGray,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundWhite,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundBeige,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundMagenta,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundNeonGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundLightBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundNeonPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kCharactersBackgroundCoralPink,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kGlowscapesLandscape,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesLandscapeValley,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesLandscapeHotSpring,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesLandscapeMeadow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesLandscapeCoralReef,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesLandscapePond,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kGlowscapesFeature,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesFeatureRiver,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesFeatureSaltRock,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesFeatureFlower,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesFeatureWalkway,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kGlowscapesFeaturePool,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundSimpleStyle,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundSimpleStyleMinimal,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundSimpleStyleZen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundSimpleStyleModern,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundSimpleStyleMagical,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundSimpleTone,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundSimpleToneNeutral,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundSimpleToneDark,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundSimpleToneLight,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundOfficeStyle,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundOfficeStyleModern,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundOfficeStyleCreative,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundOfficeStyleTraditional,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundOfficeStyleFuturistic,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundOfficeColor,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundOfficeColorNeutral,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundOfficeColorDark,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundOfficeColorColorful,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundOfficeColorEarthy,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundTerrainFeature,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureSaltLake,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureRiver,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureNorthernLights,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureSandDunes,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureClayHills,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureSandyLagoon,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureMountains,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureBioluminescentBeach,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureFireflyForest,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureDifferentPlanet,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureTreeTunnel,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureBaobabTrees,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureMistyForest,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainFeatureCactusForest,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundTerrainColor,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorCyan,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorWhite,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorMaroonPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorBluePurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorPinkYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundTerrainColorBluePink,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundCafeStyle,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeStyleCozy,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeStyleNeutral,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeStyleDistressed,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeStyleClassic,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeStyleRomantic,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundCafeType,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeTypeCottage,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeTypeModern,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeTypeTeaHouse,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeTypeHighTea,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCafeTypeOutdoor,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundArtFeature,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureField,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureSwamp,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureBeach,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureMeadow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureForest,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureGlacier,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureIsland,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureJungle,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureLake,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureCliff,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureOcean,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureRiver,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureDune,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureMountain,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureValley,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureWaterfall,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureCanyon,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureCityscape,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtFeatureVillage,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundArtMovement,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementAvantGarde,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementRealist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementExpressionist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementImpressionist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementPostImpressionist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementArtNouveau,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementBaroque,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementBauhaus,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementClassicist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementWatercolor,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementAbstract,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementPointillist,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementGraphicDesign,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementModernArt,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementAnime,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementPixelArt,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundArtMovementCyberpunk,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundDreamscapesObject,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectBicycle,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectCastle,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectBuilding,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectBoat,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectLamp,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectTable,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectBridge,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectLighthouse,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectPagoda,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectPalace,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectTower,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesObjectChair,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundDreamscapesMaterial,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialFlowers,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialSilk,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialFelt,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialBurlap,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialChiffon,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialCotton,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialFur,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialLace,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialLinen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialOrganza,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialTulle,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialWool,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialYarn,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialFleece,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialClay,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialStone,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialWood,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialAmethyst,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialLapisLuzuli,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialObsidian,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialOpal,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesMaterialSapphire,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundDreamscapesColors,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesColorsPinkPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesColorsCoralTan,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesColorsCreamOrange,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesColorsBlueIndigo,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesColorsGreenTeal,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesColorsBurgundyMaroon,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundDreamscapesColorsYellowTeal,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundCharactersColor,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorRed,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorIndigo,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorCyan,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorBrown,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorGold,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorRust,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorOlive,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorGray,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorWhite,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorBeige,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorMagenta,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorNeonGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorLightBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorNeonPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersColorCoralPink,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundCharactersSubjects,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsLemons,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsFlowers,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsApples,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsCherries,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsOranges,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsPineapples,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsStrawberries,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsWatermelons,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsPotatoes,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsSushi,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsBaconAndEggs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsPizza,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsHotDogs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsHamburgers,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsRamen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsTacos,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsBunnies,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsCats,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsDogs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsKoalas,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsPandas,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsPenguins,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsPigs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsSloths,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsPonies,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsElephants,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsFoxes,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsOwls,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsCrabs,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsBees,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsButterflies,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsBicycles,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsBoats,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsBooks,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsCutlery,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsUmbrellas,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersSubjectsInstruments,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundCharactersBackground,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundPurple,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundIndigo,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundCyan,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundBrown,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundGold,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundRed,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundRust,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundOlive,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundGray,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundYellow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundWhite,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundBeige,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundMagenta,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundNeonGreen,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundLightBlue,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundNeonPink,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundCharactersBackgroundCoralPink,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundGlowscapesLandscape,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesLandscapeValley,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesLandscapeHotSpring,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesLandscapeMeadow,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesLandscapeCoralReef,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesLandscapePond,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateChip::
               kVcBackgroundGlowscapesFeature,
           {
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesFeatureRiver,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesFeatureSaltRock,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesFeatureFlower,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesFeatureWalkway,
               ash::personalization_app::mojom::SeaPenTemplateOption::
                   kVcBackgroundGlowscapesFeaturePool,
           }},
      });
  return *m;
}

const std::map<ash::personalization_app::mojom::SeaPenTemplateId,
               std::set<ash::personalization_app::mojom::SeaPenTemplateChip>>&
TemplateToChipSet() {
  static const base::NoDestructor<
      std::map<ash::personalization_app::mojom::SeaPenTemplateId,
               std::set<ash::personalization_app::mojom::SeaPenTemplateChip>>>
      m({
          {ash::personalization_app::mojom::SeaPenTemplateId::kLetters,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kLettersColor,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kLettersLetter,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::kFlower,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kFlowerColor,
               ash::personalization_app::mojom::SeaPenTemplateChip::kFlowerType,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::kArt,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::kArtFeature,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kArtMovement,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::kTerrain,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kTerrainFeature,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kTerrainColor,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::kDreamscapes,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kDreamscapesObject,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kDreamscapesMaterial,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kDreamscapesColors,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::kSurreal,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kSurrealLandscape,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kSurrealSubject,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::kCharacters,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kCharactersColor,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kCharactersSubjects,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kCharactersBackground,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::kGlowscapes,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kGlowscapesLandscape,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kGlowscapesFeature,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::
               kVcBackgroundSimple,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundSimpleStyle,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundSimpleTone,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::
               kVcBackgroundOffice,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundOfficeStyle,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundOfficeColor,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::
               kVcBackgroundTerrainVc,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundTerrainFeature,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundTerrainColor,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::kVcBackgroundCafe,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundCafeStyle,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundCafeType,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::kVcBackgroundArt,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundArtFeature,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundArtMovement,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::
               kVcBackgroundDreamscapesVc,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundDreamscapesObject,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundDreamscapesMaterial,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundDreamscapesColors,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::
               kVcBackgroundCharacters,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundCharactersColor,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundCharactersSubjects,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundCharactersBackground,
           }},
          {ash::personalization_app::mojom::SeaPenTemplateId::
               kVcBackgroundGlowscapes,
           {
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundGlowscapesLandscape,
               ash::personalization_app::mojom::SeaPenTemplateChip::
                   kVcBackgroundGlowscapesFeature,
           }},
      });
  return *m;
}

}  // namespace ash
