// Copyright 2024 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import {usePlatformHandler} from './lit/context.js';

/**
 * Returns the i18n message generated by given |name| and |substitutions|.
 *
 * This calls the i18n handler in PlatformHandler, but is separately exported
 * here since this is frequently used.
 */
export function i18n(
    name: string, ...substitutions: Array<number|string>): string {
  return usePlatformHandler().i18n(name, ...substitutions);
}
